{{- $page_title := partial "helpers/page-title.html" (dict "page" . "self" .) -}}
{{- $title := printf "%s%s" $page_title (cond .IsHome (print "") (printf " &middot; %s" .Site.Title)) -}}
{{- $content_fragment := first 1 ((where ((.Scratch.Get "page_fragments") | default (slice)) "Params.fragment" "in" "content") | default (slice)) -}}
{{- .Scratch.Set "page_description" .Site.Params.Description -}}
{{- range $content_fragment -}}
  {{- $.Scratch.Set "page_description" (.Params.summary | default .Summary) -}}
{{- end -}}

<head>
  <script src="https://cdn.counter.dev/script.js" data-id="2debc250-9b38-4b18-83bf-72231046b633" data-utcoffset="6"></script>
  <meta name="theme" content="Syna">
  <meta name="theme-version" content="v0.17.4">
  <meta name="theme-url" content="https://syna.okkur.org">
  <meta name="theme-description" content="Highly customizable open source theme for Hugo based static websites">
  <meta name="theme-author" content="Okkur Labs">
  <meta name="theme-author-url" content="https://about.okkur.org">
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="google" content="notranslate" />
  <meta name="apple-mobile-web-app-capable" content="yes">
  <meta name="apple-mobile-web-app-status-bar-style" content="black">
  <meta name="description" content="{{- .Scratch.Get "page_description" -}}">
  {{ template "_internal/opengraph.html" . }}
  <meta name="twitter:card" content="summary_large_image">
  <meta name="twitter:title" content="{{ $title }}" />
  <meta name="twitter:description" content="{{- .Scratch.Get "page_description" -}}">
  <meta name="twitter:url" content="{{ .Permalink }}" />
  {{- if $content_fragment -}}
    {{- range $content_fragment -}}
      {{- if and .Params.asset -}}
        {{- $file_path := strings.TrimSuffix ".md" (replace .File.Path "/index.md" "") -}}
        {{- $root := (dict "page" (dict "file_path" $file_path) "page_scratch" $.Scratch "page" .) }}
        <meta property="og:image" content="{{ partial "helpers/image.html" (dict "root" $root "asset" .Params.asset "absolute" true) }}">
        <meta name="twitter:image" content="{{ partial "helpers/image.html" (dict "root" $root "asset" .Params.asset "absolute" true) }}">
      {{- else }}
        <meta property="og:image" content="{{ $.Site.Params.image }}">
        <meta name="twitter:image" content="{{ $.Site.Params.image }}">
      {{- end -}}
    {{- end -}}
  {{- else }}
    <meta property="og:image" content="{{ $.Site.Params.image }}">
    <meta name="twitter:image" content="{{ $.Site.Params.image }}">
  {{- end }}
  {{ with .Site.Params.name -}}<meta name="author" content="{{ . }}">{{- end }}

  {{ hugo.Generator }}

  <title>
    {{- $title | safeHTML -}}
  </title>

  {{ "<!-- Theme Styles -->" | safeHTML }}
  {{ partial "extra/grid-css.html" -}}
  {{- $sassTemplate := resources.Get "styles/index.scss" -}}
  {{- $options := (dict "targetPath" "style.css" "outputStyle" "compressed" "enableSourceMap" true "includePaths" (slice "node_modules" "styles")) -}}
  {{- $styleTemplated := $sassTemplate | resources.ExecuteAsTemplate "main.scss" . -}}
  {{- if hugo.IsProduction -}}
    {{- if .Site.Params.postcss -}}
      {{- $style := $styleTemplated | resources.ToCSS $options | resources.PostCSS | resources.Minify | resources.Fingerprint | resources.PostProcess }}
      <link href="{{ $style.Permalink }}" rel="stylesheet">
    {{- else -}}
      {{- $style := $styleTemplated | resources.ToCSS $options | resources.Minify | resources.Fingerprint }}
      <link href="{{ $style.Permalink }}" rel="stylesheet">
    {{- end -}}
  {{- else -}}
    {{- if .Site.Params.postcss -}}
      {{- $style := $styleTemplated | resources.ToCSS $options | resources.PostCSS | resources.PostProcess }}
      <link href="{{ $style.Permalink }}" rel="stylesheet">
    {{- else -}}
      {{- $style := $styleTemplated | resources.ToCSS $options }}
      <link href="{{ $style.Permalink }}" rel="stylesheet">
    {{- end -}}
  {{- end -}}

  {{- with .Site.Params.custom -}}
    {{- with .favicon }}
      <link rel="shortcut icon" type="image/x-icon" href="{{ . }}">
      <link rel="icon" {{ with $.Site.Params.custom.favicon_ico_sizes }}sizes="{{ . }}"{{ end }} type="image/x-icon" href="{{ . | relURL }}">
    {{- end }}

    {{- with .favicon_png }}
      <link rel="icon" href="{{ . | relURL }}">
      <link rel="apple-touch-icon-precomposed" href="{{ . | relURL }}">
    {{- end }}

    {{- with .favicon_svg }}
      <link rel="icon" type="image/svg+xml" href="{{ . | relURL }}">
    {{- end -}}

    {{ if and (not .favicon) (not .favicon_png) (not .favicon_svg) }}
      <link rel="icon" href="/favicon.png">
      <link rel="apple-touch-icon-precomposed" href="/favicon.png">
      <link rel="icon" type="image/svg+xml" href="/favicon.svg">
    {{ end }}
  {{- end }}

  <script>
    window.syna = {
      {{ if .Site.Params.unsafeEvents }}{{ print "enabledUnsafeEvents: true," | safeJS }}{{ end }}
    };
  </script>
  {{- $script_template := resources.Get "scripts/syna-head.js" -}}
  {{- $script := $script_template | resources.Minify | resources.Fingerprint }}
  <script {{- safeHTMLAttr (printf " src=\"%s\"" ($script.RelPermalink)) -}}></script>

  {{- range (.Scratch.Get "page_config") -}}
    {{- range .Params.config -}}
      {{- partial "helpers/config.html" (dict "root" $ "head" true "type" .type "data" .) -}}
    {{- end -}}
  {{- end -}}


</head>
